package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.dao.EvaluationNoticeMapper;
import com.ims.eval.entity.EvaluationNotice;
import com.ims.eval.service.IEvaluationNoticeService;
import org.springframework.stereotype.Service;

/**
 * @author hlf
 * @date 2023/5/17 14:39
 * 文件说明：
 */
@Service
public class EvaluationNoticeServiceImpl extends ServiceImpl<EvaluationNoticeMapper, EvaluationNotice> implements IEvaluationNoticeService {

	@Override
	public IPage<EvaluationNotice> listPage(Integer pageNum, Integer pageSize, String noticeTitle) {
		if (null == pageNum || null == pageSize) {
			throw new RuntimeException("分页参数为空");
		}
		//构造分页构造器
		Page<EvaluationNotice> page = new Page<>(pageNum, pageSize);
		return baseMapper.selectListPage(page, noticeTitle);
	}
}
